<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Anwesenheiten\Anwesenheitseingabe\KursAbschliessen;

use Kufer\KuferTools\Basis\View\BasisViewModel;

class SendKursAbschliessenDialogView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/anwesenheiten/anwesenheitensendabschliessendialog.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $kurstag = $this->viewModel->kurstag;
    $kurstag->optionalCommentInput = $this->viewModel->optionalCommentInput;
    $kurstag->errors = array_map(static function($err) {
      $result = new class() extends \Datamodul {
        public $msg;
      };

      $result->msg = $err;

      return $result;
    }, $this->viewModel->errors);

    return array($kurstag);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurstage(true);
  }
}

class SendKursAbschliessenDialogViewModel extends BasisViewModel
{
  public $kurstag;
  public $errors;
  public $optionalCommentInput;
}